%define majver %(echo %version | cut -d. -f1-2)
Name:          network-manager-applet
Version:       1.2.2
Release:       1mamba
Summary:       A GNOME applet to control network connections
Group:         Graphical Desktop/Applications/Networking
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           http://projects.gnome.org/NetworkManager/
Source:        http://ftp.gnome.org/pub/GNOME/sources/network-manager-applet/%{majver}/network-manager-applet-%{version}.tar.xz
Patch0:        %{name}-0.8.2-dbus-policy-sysadmin.patch
Patch1:        %{name}-1.0.2-dont_autostart_in_kde.patch
License:       GPL
## AUTOBUILDREQ-BEGIN
BuildRequires: ModemManager-devel
BuildRequires: glibc-devel
BuildRequires: libGConf-devel
BuildRequires: libORBit2-devel
BuildRequires: libatk-devel
BuildRequires: libbzip2-devel
BuildRequires: libcairo-devel
BuildRequires: libcap-devel
BuildRequires: libdbus-devel
BuildRequires: libdbus-glib-devel
BuildRequires: libdw-devel
BuildRequires: libelf-devel
BuildRequires: libexpat-devel
BuildRequires: libffi-devel
BuildRequires: libfontconfig-devel
BuildRequires: libfreetype-devel
BuildRequires: libgcrypt-devel
BuildRequires: libgdk-pixbuf-devel
BuildRequires: libglib-devel
BuildRequires: libgnome-keyring-devel
BuildRequires: libgpg-error-devel
BuildRequires: libgraphite2-devel
BuildRequires: libgtk-devel
BuildRequires: libharfbuzz-devel
BuildRequires: libnm-devel
BuildRequires: libnotify-devel
BuildRequires: libnspr-devel
BuildRequires: libnss-devel
BuildRequires: libpango-devel
BuildRequires: libpng-devel
BuildRequires: libsecret-devel
BuildRequires: libselinux-devel
BuildRequires: libtermcap-devel
BuildRequires: libudev-devel
BuildRequires: libuuid-devel
BuildRequires: libz-devel
## AUTOBUILDREQ-END
BuildRequires: intltool
BuildRequires: libdbus-glib-tools
Requires:      NetworkManager
Requires:      ModemManager
Requires:      gnome-keyring
Requires(post):hicolor-icon-theme
Requires:      notification-daemon
Requires:      networkmanagervpnplugin
Requires:      dconf
Provides:      networkmanagergui
Obsoletes:     wicd
Requires:      libnm-gtk = %{?epoch:%epoch:}%{version}-%{release}
BuildRoot:     %{_tmppath}/%{name}-%{version}-root

# Missing deps:
# checking for gnome-bluetooth... checking for GNOME_BLUETOOTH... no

%description
A GNOME applet to control network connections.

%package -n libnm-gtk
Group:         System/Libraries
Summary:       GTK libraries for NetworkManager

%description -n libnm-gtk
This package contains GTK libraries for NetworkManager.

%package -n libnm-gtk-devel
Summary:       Devel package for libnm-gtk
Group:         Development/Libraries
Requires:      libnm-gtk = %{?epoch:%epoch:}%{version}-%{release}
Provides:      network-manager-applet-devel
Obsoletes:     network-manager-applet-devel

%description -n libnm-gtk-devel
This package contains the development files for libnm-gtk.

%prep
%setup -q
#%patch0 -p1
%patch1 -p1

%build
%configure \
   --with-gtk=3 \
   CFLAGS="%{optflags} -Wno-error=deprecated-declarations"

%make

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%makeinstall

%find_lang nm-applet

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%post
if [ $1 -ge 1 ]; then
   gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null
   glib-compile-schemas %{_datadir}/glib-2.0/schemas &>/dev/null
fi
:

%postun
if [ $1 -eq 0 ]; then
   gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null
   glib-compile-schemas %{_datadir}/glib-2.0/schemas &>/dev/null
fi
:

%post -n libnm-gtk -p /sbin/ldconfig
%postun -n libnm-gtk -p /sbin/ldconfig

%files -f nm-applet.lang
%defattr(-,root,root)
#%{_sysconfdir}/gconf/schemas/nm-applet.schemas
%{_sysconfdir}/xdg/autostart/nm-applet.desktop
%{_bindir}/nm-applet
%{_bindir}/nm-connection-editor
#%{_libexecdir}/nm-applet-migration-tool
%{_datadir}/GConf/gsettings/nm-applet.convert
%{_datadir}/glib-2.0/schemas/org.gnome.nm-applet.gschema.xml
%{_datadir}/appdata/org.gnome.nm-connection-editor.appdata.xml
%{_datadir}/applications/nm-applet.desktop
%{_datadir}/applications/nm-connection-editor.desktop
%{_datadir}/icons/hicolor/*/apps/*.png
%{_datadir}/icons/hicolor/scalable/apps/*.svg
%dir %{_datadir}/libnm-gtk
%{_datadir}/libnm-gtk/wifi.ui
%dir %{_datadir}/libnma
%{_datadir}/libnma/wifi.ui
%dir %{_datadir}/nm-applet
%{_datadir}/nm-applet/*
%{_mandir}/man1/nm-applet.1*
%{_mandir}/man1/nm-connection-editor.1*

%files -n libnm-gtk
%defattr(-,root,root)
%{_libdir}/libnm-gtk.so.*
%{_libdir}/libnma.so.*
%{_libdir}/girepository-1.0/NMGtk-1.0.typelib
%{_libdir}/girepository-1.0/NMA-1.0.typelib
%doc COPYING

%files -n libnm-gtk-devel
%defattr(-,root,root)
%dir %{_includedir}/libnm-gtk
%{_includedir}/libnm-gtk/nm-*.h
%dir %{_includedir}/libnma
%{_includedir}/libnma/*
%{_libdir}/libnm-gtk.a
%{_libdir}/libnm-gtk.la
%{_libdir}/libnm-gtk.so
%{_libdir}/libnma.a
%{_libdir}/libnma.la
%{_libdir}/libnma.so
%{_datadir}/gir-1.0/NMGtk-1.0.gir
%{_datadir}/gir-1.0/NMA-1.0.gir
%{_libdir}/pkgconfig/libnm-gtk.pc
%{_libdir}/pkgconfig/libnma.pc
%doc ChangeLog NEWS

%changelog
* Wed May 18 2016 Automatic Build System <autodist@mambasoft.it> 1.2.2-1mamba
- automatic version update by autodist

* Sat Dec 26 2015 Automatic Build System <autodist@mambasoft.it> 1.0.10-1mamba
- automatic version update by autodist

* Mon Nov 23 2015 Automatic Build System <autodist@mambasoft.it> 1.0.8-1mamba
- automatic version update by autodist

* Sun Sep 13 2015 Automatic Build System <autodist@mambasoft.it> 1.0.6-1mamba
- automatic version update by autodist

* Thu Jul 16 2015 Automatic Build System <autodist@mambasoft.it> 1.0.4-1mamba
- automatic version update by autodist

* Mon May 11 2015 Automatic Build System <autodist@mambasoft.it> 1.0.2-1mamba
- automatic version update by autodist

* Fri Jan 23 2015 Silvan Calarco <silvan.calarco@mambasoft.it> 1.0.0-2mamba
- new subpackages libnm-gtk and libnm-gtk-devel

* Wed Jan 21 2015 Silvan Calarco <silvan.calarco@mambasoft.it> 1.0.0-1mamba
- update to 1.0.0

* Fri Jul 04 2014 Automatic Build System <autodist@mambasoft.it> 0.9.10.0-1mamba
- automatic version update by autodist

* Mon Jun 30 2014 Silvan Calarco <silvan.calarco@mambasoft.it> 0.9.8.10-2mamba
- require dconf

* Thu Jun 05 2014 Automatic Build System <autodist@mambasoft.it> 0.9.8.10-1mamba
- automatic version update by autodist

* Wed May 28 2014 Automatic Build System <autodist@mambasoft.it> 0.9.8.9-1mamba
- automatic update by autodist

* Tue Nov 12 2013 Automatic Build System <autodist@mambasoft.it> 0.9.8.8-1mamba
- automatic version update by autodist

* Mon Sep 16 2013 Automatic Build System <autodist@mambasoft.it> 0.9.8.4-1mamba
- automatic update by autodist

* Sat Jun 08 2013 Automatic Build System <autodist@mambasoft.it> 0.9.8.2-1mamba
- automatic version update by autodist

* Mon Feb 25 2013 Automatic Build System <autodist@mambasoft.it> 0.9.8.0-1mamba
- automatic version update by autodist

* Fri Oct 26 2012 Automatic Build System <autodist@mambasoft.it> 0.9.6.4-1mamba
- automatic version update by autodist

* Sat Sep 01 2012 Silvan Calarco <silvan.calarco@mambasoft.it> 0.9.6.2-2mamba
- recompile schemas in xpost and xpostun scripts

* Mon Aug 13 2012 Automatic Build System <autodist@mambasoft.it> 0.9.6.2-1mamba
- automatic version update by autodist

* Mon Apr 02 2012 Automatic Build System <autodist@mambasoft.it> 0.9.4.1-1mamba
- automatic version update by autodist

* Tue Mar 13 2012 Automatic Build System <autodist@mambasoft.it> 0.9.3.995-1mamba
- update to 0.9.3.995

* Fri Jan 27 2012 Automatic Build System <autodist@mambasoft.it> 0.9.2.0-1mamba
- automatic version update by autodist

* Sat Oct 29 2011 Silvan Calarco <silvan.calarco@mambasoft.it> 0.9.0-2mamba
- disable autostart in KDE and remove conflict with plasma-applet-networkmanagement

* Wed Aug 24 2011 Automatic Build System <autodist@mambasoft.it> 0.9.0-1mamba
- update to 0.9.0

* Fri Jul 22 2011 Automatic Build System <autodist@mambasoft.it> 0.8.4-1mamba
- update to 0.8.4

* Fri Jun 17 2011 Silvan Calarco <silvan.calarco@mambasoft.it> 0.8.2-7mamba
- replace requirement for VPN plugins with networkmanagervpnplugin

* Wed Jun 15 2011 Silvan Calarco <silvan.calarco@mambasoft.it> 0.8.2-6mamba
- added requirements for openvpn, pptp and vpnc plugins

* Wed Feb 16 2011 Silvan Calarco <silvan.calarco@mambasoft.it> 0.8.2-5mamba
- added conflict with wicd and plasma-desktop-networkmanagement
- provide networkmanagergui
- require ModemManager

* Sun Jan 30 2011 Silvan Calarco <silvan.calarco@mambasoft.it> 0.8.2-4mamba
- added dbus policy patch to give sysadmin privileges to set NetworkManagerSettings.Connection.Secrets

* Thu Jan 27 2011 Silvan Calarco <silvan.calarco@mambasoft.it> 0.8.2-3mamba
- added requirement for notification-daemon

* Thu Jan 13 2011 Silvan Calarco <silvan.calarco@mambasoft.it> 0.8.2-2mamba
- added post requirement for hicolor-icon-theme

* Fri Dec 03 2010 Silvan Calarco <silvan.calarco@mambasoft.it> 0.8.2-1mamba
- package created by autospec
